### Method

# ECal ReminderWatcher timer_elapsed

since: 3.30

#### Declaration [src]

    void
    e_reminder_watcher_timer_elapsed (
      EReminderWatcher* watcher
    )

#### Description [src]

Notifies the #watcher that the timer previously scheduled with EReminderWatcherClass::schedule_timer elapsed. This can be used by the descendants which override the default implementation of EReminderWatcherClass::schedule_timer. There is always scheduled only one timer and once it’s elapsed it should be also removed, the same when the EReminderWatcherClass::schedule_timer is called and the previously scheduled timer was not elapsed yet, the previous should be removed first, aka every call to EReminderWatcherClass::schedule_timer replaces any previously scheduled timer.

Available since: 3.30